Package: groovy.lang

## [Java] Class MetaExpandoProperty

- groovy.lang.MetaExpandoProperty

-     public class MetaExpandoProperty
      extends MetaProperty

  Represents a property in an Expando object

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class MetaProperty` | `PROPERTY_SET_PREFIX, name, type`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `MetaExpandoProperty(Map.Entry entry)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public Object` | `getProperty(Object object)` Returns: the property of the given object
    `` | `public void` | `setProperty(Object object, Object newValue)` Sets the property on the given object to the new value

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class MetaProperty` | `getGetterName, getModifiers, getName, getProperty, getSetterName, getType, setProperty`

- - ### Constructor Detail

    - #### public MetaExpandoProperty(Map.Entry entry)

  - ### Method Detail

    - #### @Override
      public Object getProperty(Object object)

      throws:
        Exception if the property could not be evaluated
      Returns:
        the property of the given object

    - #### @Override
      public void setProperty(Object object, Object newValue)

      Sets the property on the given object to the new value

      Parameters:
        `object` - on which to set the property
        `newValue` - the new value of the property